// @flow strict

import * as React from 'react';
import load from 'load-script';

type Props = {
  children?: React.Node
};

type State = {
  hasLoad: boolean
};

class Root extends React.Component<Props, State> {

  state = {
    hasLoad: false
  };

  componentDidMount() {
    // 插入必要的第三方样式库
    load('//res.waiqin365.com/d/common_new/react/v2/main.9bceb9ef86ee3a9510.js', () => {
      this.setState({hasLoad: true})
    })
  }

  componentWillUnmount() {
    const portal = document.getElementById('react-v2-modal');
    if (portal && document.body) document.body.removeChild(portal);
  }

  render() {
    const {children} = this.props;
    const {hasLoad} = this.state;
    return (
      <div>
        {hasLoad && children}
      </div>
    );
  }
}

export default Root;